cURL
curl --request GET \ --url https://{APPLICATION_ID}.algolia.net/agent-studio/1/agents/{agent_id}/conversations \ --header 'X-Algolia-API-Key: <x-algolia-api-key>' \ --header 'X-Algolia-Application-Id: <x-algolia-application-id>'
{ "data": [ { "id": "<string>", "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "title": "<string>", "lastActivityAt": "2023-11-07T05:31:56Z", "userToken": "<string>", "isFromDashboard": false, "messageCount": 0, "totalInputTokens": 0, "totalOutputTokens": 0, "totalTokens": 0 } ], "pagination": { "page": 123, "limit": 123, "totalCount": 123, "totalPages": 123 } }
Retrieves the conversations for the given agent ID.
logs
Filter conversations created after this date (format: YYYY-MM-DD)
Filter conversations created before this date (format: YYYY-MM-DD)
Page number
x >= 1
Items per page
1 <= x <= 100
Successful Response
Show child attributes
Was this page helpful?